OLEDIT

NAME
oledit - OPEN LOOK text editor

SYNOPSIS
oledit [ generic-tool-arguments ] [ -config config-filename ] [ -filename filename ] [ filename ]

AVAILABILITY
This program is bundled with XView 3.2p2 and newer.

DESCRIPTION
oledit is a simple text editor program with graphical user interface. It was made using the XView toolkit.

RELATION TO TEXTEDIT
Although oledit and textedit are very similar, oledit is not based on textedit . oledit has many features that are absent in textedit , e.g. it has regular expression based search and it can use spaces instead of tab characters.

OPTIONS

generic-tool-arguments
    oledit accepts the Xview generic tool arguments described in the XView reference Manual .

-config config-filename
    Launch oledit with config file specified by the config-filename argument.

-filename filename
    Open file specified by filename . If this file does not exist, it will be created on save.

USAGE
Usage of oledit relies on mouse and is consistent with other OPEN LOOK applications. This section is incomplete and does not cover all apects of oledit usage, however work on improving this manual is in progress.

  Find and Replace
Find and Replace window allows you to find (or replace) certain string of characters in the current document. To open it, left-click on Find button, located at the upper part of main window. Search term can be interpreted in two ways: as a literal text or as an regular expression. Regular expression search uses POSIX extended regex syntax. If you are doing replace in regular expression mode, you can use text matched in capture groups by inserting $1, $2, $3, ... in replacing text. To insert literal $1 into replacing text, you have to escape it using backslash (e.g. \$1 ).

BUGS
Whitespace at the end of a line is not wrapped to next line.

COPYRIGHT
Copyright (c) 2013 Tomasz Konojacki. oledit is licensed under the terms of zlib license.